 /*
 * Copyright (C) 2007 Funambol, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
*/

#pragma once

#define ANIM_ICON_ARROWS 501
#define ANIM_ICON_DELAY 300
#define COLOR_INT_PANE RGB(241,241,241)
#define COLOR_EXT_PANE RGB(255,255,255)

//enum ANIM_ICON_STATE {STATE_ARROWS, STATE_INVISIBLE, STATE_ICON_SYNC, STATE_DONE, STATE_BUTTON};
enum ANIM_ICON_STATE {STATE_INVISIBLE, STATE_ICON_SYNC, STATE_DONE, STATE_BUTTON};

class CAnimatedIcon : public CStatic
{
	DECLARE_DYNAMIC(CAnimatedIcon)

public:
    int state;
    int counterAnim;
	CAnimatedIcon();  
    void Animate();
    void StopAnim();
	virtual ~CAnimatedIcon();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	DECLARE_MESSAGE_MAP()

    afx_msg void OnTimer( UINT_PTR nIDEvent );
    afx_msg void OnPaint( );
};
