 /*
 * Copyright (C) 2006-2007 Funambol, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY, TITLE, NONINFRINGEMENT or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111-1307  USA
*/

#ifndef INCL_HWND_FUNCTIONS
#define INCL_HWND_FUNCTIONS

#define ID_MYMSG_SYNC_BEGIN           (WM_APP+1)
#define ID_MYMSG_SYNC_END             (WM_APP+2)
#define ID_MYMSG_SYNCSOURCE_BEGIN     (WM_APP+3)
#define ID_MYMSG_SYNCSOURCE_END       (WM_APP+4)
#define ID_MYMSG_SYNC_ITEM_SYNCED     (WM_APP+5)
#define ID_MYMSG_SYNC_TOTALITEMS      (WM_APP+6)
#define ID_MYMSG_SYNC_TOTALSOURCES    (WM_APP+7)
#define ID_MYMSG_STARTSYNC_ENDED      (WM_APP+8)
#define ID_MYMSG_REFRESH_STATUSBAR    (WM_APP+9)
#define ID_MYMSG_MODAL                (WM_APP+10)
#define ID_MYMSG_SOURCE_STATE         (WM_APP+11)
#define ID_MYMSG_SYNC_STARTSYNC_BEGIN (WM_APP+12)
#define ID_MYMSG_UNLOCK_BUTTONS       (WM_APP+13)

#define PLUGIN_UI_TITLE             _T("Funambol Outlook Plug-in")
#define CONFIG_WINDOW_TITLE         _T("Funambol Outlook Plug-in Options")
#define PLUGIN_UI_CLASSNAME         _T("FunambolApp")

#include "windows.h"

class HwndFunctions
{
public:
	static HWND wnd;

	static int findFunambolWindow();
	//-- find funambol main window, if present
	static void initHwnd();
    static HWND getWindowHandle();
};

#endif